> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/incidents-connection.md).

# incidentsConnection

### Examples

```graphql
type IncidentsConnection {
  items: [Incident!]!
  totalCount: Int!
  hasMore: Boolean!
}
```

### Fields

| Field                                                                                                   | Description | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ------------------------------------------------------------------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| items [`[Incident!]!`](/api-documentation/api-reference/api--response-center/types/objects/incident.md) |             | <p>id <code>String!</code><br>caseId <code>String!</code><br>name <code>String!</code><br>description <code>String</code><br>type <a href="/pages/cUYFpKF5FwbycFwxsvGM"><code>IncidentType!</code></a><br>severity <a href="/pages/CSXZmUIYQcTfIZIInSIK"><code>IncidentSeverity!</code></a><br>status <a href="/pages/M3ZirphBvWfVtsm2vSzs"><code>IncidentStatus!</code></a><br>classification <a href="/pages/HhKZit4dyMjUfx841bKV"><code>IncidentClassification</code></a><br>scope <a href="/pages/jvdMjPqPQW67TuM5x8Oe"><code>IncidentScope</code></a><br>exploitationStatus <a href="/pages/Rv2FcZJ8nB7dbti7t2A1"><code>CveExploitationStatus</code></a><br>blockedReason <code>String</code><br>owner <code>String</code><br>creator <code>String!</code><br>slaTargetAt <code>DateTime</code><br>settings <a href="/pages/5seNDn2xJ86vQleJcimp"><code>IncidentSettings!</code></a><br>isOxDeclared <code>Boolean!</code><br>publishType <a href="/pages/EQMVATrJU4cbWdyhZTJP"><code>IncidentPublishType!</code></a><br>publishTypeReason <code>String</code><br>autoExpandFromSource <code>Boolean!</code><br>externalReferences <code>\[String!]!</code><br>sourcePublishedAt <code>DateTime</code><br>counts <a href="/pages/2Jal83uNnzflAfXTstln"><code>IncidentCounts!</code></a><br>exposureState <a href="/pages/XJm9vVewlzcB1B5KcX7d"><code>ExposureState</code></a><br>currentSeverity <a href="/pages/CSXZmUIYQcTfIZIInSIK"><code>IncidentSeverity</code></a><br>isMonitoring <code>Boolean!</code><br>affectedResourceCount <code>Int!</code><br>summary <a href="/pages/HNR6nsKwNBRzeIFwter4"><code>\[IncidentSummarySection!]!</code></a><br>aiSummary <a href="/pages/q8efDbgOBPJfWWcZaxRb"><code>IncidentAiSummary</code></a><br>indicatorCounts <a href="/pages/53LwqTD7HJbUkF9C166H"><code>IncidentIndicatorCounts</code></a><br>countsAsOf <code>DateTime</code><br>lastMatchedAt <code>DateTime</code><br>lastExposureChange <code>DateTime</code><br>resolvedAt <code>DateTime</code><br>createdAt <code>DateTime</code><br>updatedAt <code>DateTime</code><br>indicators <a href="/pages/hUSs10oFKzlvcDtQSyf6"><code>\[Indicator!]</code></a></p> |
| totalCount `Int!`                                                                                       |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| hasMore `Boolean!`                                                                                      |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

### References

#### Queries using this object:

* [\<?> getIncidents](/api-documentation/api-reference/api--response-center/queries/get-incidents.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/incidents-connection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
